Skip to main content
GET
/
discounts
/
promocodes
/
v1
Retrieve promocodes
curl --request GET \
  --url https://api.spacebring.com/discounts/promocodes/v1 \
  --header 'Authorization: Basic <encoded-value>'
{
  "promocodes": [
    {
      "archiveDate": "2023-11-07T05:31:56Z",
      "code": "<string>",
      "couponRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "createDate": "2023-11-07T05:31:56Z",
      "expiration": {
        "date": "2023-11-07T05:31:56Z",
        "enabled": true
      },
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "limitByFirstPurchase": true,
      "limitedRedemption": {
        "enabled": true,
        "usage": 123,
        "value": 123
      },
      "locationRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "networkRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    }
  ]
}

Authorizations

Authorization
string
header
required

See our authentication documentation for how to authorize your requests

Headers

spacebring-network-id
string<uuid>

The id of the network. Required when using bearer token authentication

Query Parameters

locationRef
string<uuid>

The id of the location. At least one of locationRef or couponRef is required

couponRef
string<uuid>

The id of the coupon. At least one of locationRef or couponRef is required

Response

Success

promocodes
object[]